import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss']
})
export class Tab1Page {

  constructor(private router: Router) {}
  books: any[] = [
    {
      title: '中国近代名家名作宝库',
      author: '周松平主编',
      isbn: '7-204-05471-7',
      publisher: '内蒙古人民出版社',
      imageUrl: 'assets/picture/中国近代名家名作宝库.jpg',
      // 其他图书信息
    },
    {
      title: '在家过把“克隆”隐',
      author: '陈颖著',
      isbn: '7-5048-3253-7',
      publisher: '农村读物出版社',
      imageUrl: 'assets/picture/在家过把“克隆”隐.jpg',
      // 其他图书信息
    },
    {
      title: '音乐会曲',
      author: '欣德米特',
      isbn: '7-5404-3220-9',
      publisher: '湖南文艺出版社',
      imageUrl: 'assets/picture/音乐会曲.jpg',
    }
    // 其他示例图书数据
  ];
  onClick(event:MouseEvent){
    this.router.navigate(['request']);//  /tabs/tab3
  }
  onClickUser(event:MouseEvent){
    this.router.navigate(['/tabs/tab3']);
  }
  onClickBorrow(event:MouseEvent){
    this.router.navigate(['borrow']);
  }

}
